/* Custom properties
--------------------------------------*/
:root {
    --darkgray:      #333333;
    --whitesmoke:    #F5F5F5; 
    --darkslateblue: #483D8B; /* rgb(72 61 139) */
    --color-dark:    var(--darkgray);
    --color-light:   var(--whitesmoke);
    --color-primary: var(--darkslateblue);

    --font-size-h1:      5.5rem;
    --font-size-h2:      3rem;
    --font-size-h3:      1.5rem;
    --font-size-h4:      1rem;
    --font-size-base:    0.9375rem;
    --font-size-tagline: 1.1rem;
    --font-size-small:   0.8rem;
}



/* Global Styles
--------------------------------------*/
html {
    box-sizing: border-box;
}
*, *::before, *::after {
    box-sizing: inherit;
}

html, body {
    height: 100%;
}
body {
    margin: 0;
    padding: 0;
    font-family: "Nova Square", sans-serif;
    font-size: var(--font-size-base);
    line-height: 1.4;
}


a {
    color: var(--color-dark);
}

a:hover {
    text-decoration: none;
}

.bg-dark a, .bg-primary a {
    color: var(--color-light);
}


.bg-dark {
    background: var(--color-dark);
    color: var(--color-light);
}
.bg-light {
    background: var(--color-light);
    color: var(--color-dark);
}
.bg-primary {
    background: var(--color-primary);
    color: var(--color-light);
}

.list-reset {
    list-style-type: none;
    margin: 0;
    padding: 0;
}
.content-wrap {
    max-width: 800px;
    margin: 0 auto;
    padding: 60px;
}

h1, h2, h3, h4 {
    margin: 0;
} 

h2 {
    font-family: "Nova Square", sans-serif;
    font-weight: 400;
}
h1 {
    font-family: "Great Vibes", cursive;
    font-weight: 400;
    font-size: var(--font-size-h1);
}
h2   {
    font-size: var(--font-size-h2);
}
h3 {
    font-size: var(--font-size-h3);
}

p, li {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

.btn {
    text-decoration: none;
    background-color: var(--color-primary);
    color: var(--color-light);
    padding:8px;
    border-radius: 8px;
    text-transform: uppercase;
    font-size: var(--font-size-small);
    letter-spacing: 0.08rem;
    /* display:list-item; */
    /* text-align: center; */
}

.btn:hover {
    background-color: var(--color-light);
    color: var(--color-primary);
}


/* Header + Nav
--------------------------------------*/
header {
    height: 100%;
    background-image: linear-gradient(rgb(72 61 139 / .5), rgba(0, 0, 0, 0.5)), url(../images/R1.jpg);
    background-repeat: no-repeat;
    background-size: cover; 
    color: var(--color-light);
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}

nav {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: 60px;
}

.nav-list{
    display: flex;
    justify-content: center;
} 
.nav-list a {
    padding: 20px;
    display: inline-block;
    font-family: "Nova Square", sans-serif;
    text-decoration: none;
    font-weight: bold;
    text-transform: uppercase;
    letter-spacing: .2rem;
}

.nav-list a:hover{
    text-decoration: underline rgb(132, 130, 238);   
}
hgroup {
    line-height: 0.88;
}
.tagline {
    font-size: var(--font-size-tagline);
    margin: 0;
}

@media screen and (orientation: portrait){
    header {
        height: 50%;
    }
}
@media screen and (max-width: 500px) {  
    .nav-list a {
        padding: 10px;
        letter-spacing: .1rem; 
        margin: -2px;
        font-size:small; 
    }
    .bg-dark {
        height: 35px;
    }
}

/* About
--------------------------------------*/
.about p {
    text-align: justify;
} 


/* Project
--------------------------------------*/
.project-title {
    text-align: center;
}

.project-list {
    border: 1px solid black;
    padding: 20px;
    margin: 10px;
}


.project-list img {
    width: 100%;
}

.project-list p {
    text-align: justify;
}

@media screen and (min-width: 750px){
    .project-list {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        column-gap: 20px;
    }
}
@media screen and (max-width: 749px) {
    
}



/* Resume
--------------------------------------*/
.resume.content-wrap{
    max-width: 1000px;
    margin-bottom: 30px;
}

.resume h4 {
    margin-top: 15px;
}

.organization, .dates-worked, .duration {
    margin: 0;
}

.position, .organization, .dates-worked, .duration {
    color: var(--color-primary);
}
.organization {
    font-style: italic;
}

.dates-worked, .duration {
    display: inline-block;
    margin-right: 20px;
}
.duration{
    background-color: var(--color-dark);
    color: var(--color-light);
    padding: -3px;
    padding-right: 5px;
    padding-left: 5px;
}
.job-details {
    margin-bottom: 40px;
}

.profile h4 {
    text-align: center;
    margin-top: 5px;
    color: var(--color-primary);
}
.edu h4 {
    color: var(--color-primary);
}
.school {
    font-style: italic;
}

.edu-mark, .edu-duration, .school, .edu-years {
    margin: 0;
}
.edu-duration, .edu-years {
    display: inline-block;
    margin-right: 20px;
}
.edu-years{
    background-color: var(--color-dark);
    color: var(--color-light);
    padding-right: 8px;
    padding-left: 8px;
}

@media screen and (min-width: 900px) {
    .resume-container{
        display: grid;
        grid-template-columns: 300px 1fr;
        /* grid-template-rows: 225px 1fr; */
        gap: 30px;
        margin-top: 15px;
    }
    .work-experience {
        grid-row: 1 / 3;
        grid-column: 2 / 3; 
        border-left: 1px solid var(--color-dark);
        padding-left: 30px;
    }
    .profile {
        border-bottom: 1px solid var(--color-dark);
    }
    .profile p  {
        text-align: justify;
    }
}
@media screen and (max-width: 899px) {
    .resume h3 {
        border-bottom: 1px solid var(--color-dark);
        margin: 30px;
    }   
}


/* Footer
--------------------------------------*/

footer {
    text-align: center;
    padding: 60px;
}

.social-list {
    display: flex;
    justify-content: center;
}

.social-list img {
    width: 35px;
    margin: 15px    ;
}